Bug 974898 - NetworkManager creates resolv.conf with mutually exclusive "domain" and "search" directives
NetworkManager creates resolv.conf with mutually exclusive "domain" and "sear...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-17 01:20 EDT by David Gibson
Modified: 2015-01-19 23:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-19 23:20:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Gibson 2013-06-17 01:20:20 EDT
Description of problem:

resolv.conf files created by NetworkManager always seem to have both "domain" and "search" lines, although these two directives are mutually exclusive according to the resolv.conf documentation (last one wins).

Version-Release number of selected component (if applicable):

Name        : NetworkManager
Epoch       : 1
Version     : 0.9.8.1
Release     : 3.git20130514.fc18

Actual results:

This example is simple, due to dns=dnsmasq in NetworkManager.conf, but the domain/search duplication has shown up in all other generated resolv.conf files I have seen.

# Generated by NetworkManager
domain redhat.com
search redhat.com fritz.box
nameserver 127.0.0.1

Expected results:

# Generated by NetworkManager
search redhat.com fritz.box
nameserver 127.0.0.1
Comment 1 Fedora End Of Life 2013-12-21 09:02:13 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 David Gibson 2013-12-22 17:15:14 EST
This bug is still present in Fedora 20; updating version.
Comment 3 David Gibson 2015-01-19 23:20:23 EST
Seems to be fixed in Fedora 21.

$ rpm -q NetworkManager
NetworkManager-0.9.10.1-1.4.20150115git.fc21.x86_64

$ cat /etc/resolv.conf 
# Generated by NetworkManager
search redhat.com fritz.box
nameserver 127.0.0.1

Note You need to log in before you can comment on or make changes to this bug.